; ODIUB.INF
;
; Ungermann-Bass Network Interface Cards.
;
; VeRsIoN=1.00 Novell Windows 95 INF file: Ungermann-Bass Adapters.
; CoPyRiGhT=(c) Copyright 1996, by Novell, Inc. All rights reserved.

;***********************************************************************
;*   Version Section                                                   *
;***********************************************************************
[version]
InfVersion=00.01.00
signature="$CHICAGO$"
Class=Net
provider=%V_N%

;***********************************************************************
;*    Manufacturer Section                                             *
;***********************************************************************
[Manufacturer]
%V_UB%=UB

;***********************************************************************
;*    Manufacture Name section                                         *
;***********************************************************************
[UB]
%*pnp8120.DeviceDesc%=*pnp8120.ndi, *pnp8120   ;UB NIUpc/EOTP
%*pnp811c.DeviceDesc%=*pnp811c.ndi, *pnp811c   ;UB NIUpc
%MCA_7012.DeviceDesc%=MCA_7012.ndi, MCA_7012   ;UB NIUps or NIUps/EOTP
%MCA_EFF5.DeviceDesc%=MCA_EFF5.ndi, MCA_EFF5   ;UB NIC/ps

;***********************************************************************
;*   INF Install Section                                               *
;***********************************************************************
;****************************************************************************
; *pnp8120  UB EOTP
;****************************************************************************
[*pnp8120.ndi]
AddReg=*pnp8120.ndi.reg,UBNEI.ndi.reg,UBNEIPC_EOTP.ndi.reg,Common.Params,Common.Resources,ODI.Common.CFG.reg
LogConfig=*PNP8120.LogConfig

[*pnp8120.ndi.reg]
HKR,Ndi,DeviceID,,"*pnp8120"

;****************************************************************************
; *pnp811c  UB PC
;****************************************************************************
[*pnp811c.ndi]
AddReg=*pnp811c.ndi.reg,UBNEI.ndi.reg,UBNEIPC.ndi.reg,Common.Params,Common.Resources,ODI.Common.CFG.reg
LogConfig=*PNP811C.LogConfig

[*pnp811c.ndi.reg]
HKR,Ndi,DeviceID,,"*pnp811c"

;****************************************************************************
; MCA_7012  UB PS EOTP
;****************************************************************************
[MCA_7012.ndi]
AddReg=MCA_7012.ndi.reg,UBNEPS.ndi.reg,UBNEIPS.ndi.reg,Common.Params,Slot,ODI.Common.CFG.reg

[MCA_7012.ndi.reg]
HKR,Ndi,DeviceID,,"MCA_7012"

;****************************************************************************
; MCA_EFF5 UB NIC/ps
;****************************************************************************
[MCA_EFF5.ndi]
AddReg=MCA_EFF5.ndi.reg,UBNEPS.ndi.reg,Common.Params,Slot,ODI.Common.CFG.reg

[MCA_EFF5.ndi.reg]
HKR,Ndi,DeviceID,,"MCA_EFF5"


;***********************************************************************
;*      Added Registry                                                 *
;***********************************************************************
;****************************************************************************
; UBNEI Drivers
;****************************************************************************
[UBNEI.ndi.reg]
HKR,,DevLoader,,*odiload
HKR,,EnumPropPages,,"netdi.dll,EnumPropPages"
HKR,Ndi,NdiInstaller,,"odipage.dll,OdiNdiProc"

; Interfaces
HKR,Ndi\Interfaces,DefUpper,,"odinsup,novellodi32"
HKR,Ndi\Interfaces,DefLower,,"ethernet"
HKR,Ndi\Interfaces,UpperRange,,"odinsup,novellodi32"
HKR,Ndi\Interfaces,LowerRange,,"ethernet"

; Install sections
;HKR,Ndi\Install,"16 Bit",,"NIUPC.ODI16.install"
HKR,Ndi\Install,"32 Bit",,"NIUPC.ODI32.install"

; Remove section
;HKR,Ndi\Remove,"16 Bit",,"NIUPC.ODI16.Remove"

; ODI 16 Bit info
;HKR,"ODI\16 Bit",ModulePath,,"%24%%DRIVER_32_PATH%"
;HKR,"ODI\16 Bit",Modules,,"LSLC32.NLM,PC32MLID.LAN"
;HKR,"ODI\16 Bit",DriverPath,,"%24%%DRIVER_16_PATH%"
;HKR,"ODI\16 Bit",FileName,,"UBPCETPDOS.com"
;HKR,"ODI\16 Bit",NetcfgPath,,"%24%%DRIVER_16_PATH%"
;HKR,"ODI\16 Bit",NetcfgFileName,,"Net.cfg"
;HKR,"ODI\16 Bit",LinkDriver,,""

; ODI 32 Bit Info
HKR,"ODI\32 Bit",ModulePath,,"%24%%DRIVER_32_PATH%"
HKR,"ODI\32 Bit",Modules,,"LSLC32.NLM,CMSM.NLM,ETHERTSM.NLM"
HKR,"ODI\32 Bit",DriverPath,,"%24%%DRIVER_32_PATH%"
HKR,"ODI\32 Bit",FileName,,"UBPCETP.lan"

;****************************************************************************
; UBNEPS Drivers
;****************************************************************************
[UBNEPS.ndi.reg]
HKR,,DevLoader,,*odiload
HKR,,EnumPropPages,,"netdi.dll,EnumPropPages"
HKR,Ndi,NdiInstaller,,"odipage.dll,OdiNdiProc"

; Interfaces
HKR,Ndi\Interfaces,DefUpper,,"odinsup,novellodi32"
HKR,Ndi\Interfaces,DefLower,,"ethernet"
HKR,Ndi\Interfaces,UpperRange,,"odinsup,novellodi32"
HKR,Ndi\Interfaces,LowerRange,,"ethernet"

; Install sections
;HKR,Ndi\Install,"16 Bit",,"NIUPS.ODI16.install"
HKR,Ndi\Install,"32 Bit",,"NIUPS.ODI32.install"

; Remove section
;HKR,Ndi\Remove,"16 Bit",,"NIUPS.ODI16.Remove"

; ODI 16 Bit info
;HKR,"ODI\16 Bit",ModulePath,,"%24%%DRIVER_32_PATH%"
;HKR,"ODI\16 Bit",Modules,,"LSLC32.NLM,PC32MLID.LAN"
;HKR,"ODI\16 Bit",DriverPath,,"%24%%DRIVER_16_PATH%"
;HKR,"ODI\16 Bit",FileName,,"UBPSETPDOS.com"
;HKR,"ODI\16 Bit",NetcfgPath,,"%24%%DRIVER_16_PATH%"
;HKR,"ODI\16 Bit",NetcfgFileName,,"Net.cfg"
;HKR,"ODI\16 Bit",LinkDriver,,""

; ODI 32 Bit Info
HKR,"ODI\32 Bit",ModulePath,,"%24%%DRIVER_32_PATH%"
HKR,"ODI\32 Bit",Modules,,"LSLC32.NLM,CMSM.NLM,ETHERTSM.NLM"
HKR,"ODI\32 Bit",DriverPath,,"%24%%DRIVER_32_PATH%"
HKR,"ODI\32 Bit",FileName,,"UBPSETP.lan"

;***********************************************************************
;*     .LogConfig Section                                              *
;***********************************************************************
;****************************************************************************
; *pnp8120  UB EOTP
;****************************************************************************
[*PNP8120.LogConfig]
IOConfig=8@350-36F%FFF8(3FF::)
IRQConfig=3,4,5,7,9,12
MemConfig=8000@A0000-E7FFF%FFFF8000
ConfigPriority=HARDRECONFIG

;****************************************************************************
; *pnp811c  UB PC
;****************************************************************************
[*PNP811C.LogConfig]
IOConfig=8@350-36F%FFF8(3FF::)
IRQConfig=3,4,5,9
MemConfig=8000@88000-F7FFF%FFFF8000
ConfigPriority=HARDRECONFIG

;###
;***********************************************************************
;*     Install section                                                 *
;***********************************************************************
; Install ODI 16
;***********************************************************************
;[NIUPC.ODI16.install]
;CopyFiles=NIUPC.ODI16.CopyFiles
;UpdateAutoBat=NIUPC.ODI16.autobat

;[NIUPC.ODI16.autobat]
;CmdDelete=LSL
;CmdDelete=N16ODI
;CmdDelete=NESL
;CmdDelete=UBPCETPDOS
;CmdDelete=ODIHLP
;CmdAdd=LSL.COM, "-c=%24%%DRIVER_16_PATH%NET.CFG"
;CmdAdd=N16ODI.COM
;CmdAdd=NESL.COM
;CmdAdd=UBPCETPDOS.com

;[NIUPS.ODI16.install]
;CopyFiles=NIUPS.ODI16.CopyFiles
;UpdateAutoBat=NIUPS.ODI16.autobat

;[NIUPS.ODI16.autobat]
;CmdDelete=LSL
;CmdDelete=N16ODI
;CmdDelete=NESL
;CmdDelete=UBPSETPDOS
;CmdDelete=ODIHLP
;CmdAdd=LSL.COM, "-c=%24%%DRIVER_16_PATH%NET.CFG"
;CmdAdd=N16ODI.COM
;CmdAdd=NESL.COM
;CmdAdd=UBPSETPDOS.com


;***********************************************************************
; Install ODI 32
;***********************************************************************
;***********************************************************************
;  NIUPC adapter
[NIUPC.ODI32.install]
CopyFiles=NIUPC.ODI32.CopyFiles
UpdateAutoBat=NIUPC.ODI32.autobat

[NIUPC.ODI32.autobat]
CmdDelete=LSL
CmdDelete=N16ODI
CmdDelete=NESL
;CmdDelete=UBPCETPDOS
CmdDelete=ODIHLP

;  NIUPS adapter
[NIUPS.ODI32.install]
CopyFiles=NIUPS.ODI32.CopyFiles
UpdateAutoBat=NIUPS.ODI32.autobat

[NIUPS.ODI32.autobat]
CmdDelete=LSL
CmdDelete=N16ODI
CmdDelete=NESL
;CmdDelete=UBPSETPDOS
CmdDelete=ODIHLP

;***********************************************************************
;*     remove sections                                                 *
;***********************************************************************
;***********************************************************************
; NIUPC adapter
;[NIUPC.ODI16.Remove]
;UpdateAutoBat=NIUPC.ODI16.AutoBatRemove

;[NIUPC.ODI16.AutoBatRemove]
;CmdDelete=LSL
;CmdDelete=N16ODI
;CmdDelete=NESL
;CmdDelete=UBPCETPDOS          ;.com

; NIUPS adapter
;[NIUPS.ODI16.Remove]
;UpdateAutoBat=NIUPS.ODI16.AutoBatRemove

;[NIUPS.ODI16.AutoBatRemove]
;CmdDelete=LSL
;CmdDelete=N16ODI
;CmdDelete=NESL
;CmdDelete=UBPSETPDOS          ;.com

;***********************************************************************
;*    Param Section                                                    *
;***********************************************************************
[UBNEIPC_EOTP.ndi.reg]
; Parameters
;AdapterType
HKR,,AdapterType,,"NIUpc/EOTP"
HKR,Ndi\params\AdapterType,ParamDesc,,"Adapter Type"
HKR,Ndi\params\AdapterType,default,,"NIUpc/EOTP"
HKR,Ndi\params\AdapterType,type,,enum
HKR,Ndi\params\AdapterType\enum,"NIUpc/EOTP",,"NIUpc/EOTP"
HKR,NDI\params\AdapterType,flag,1,30,00,00,00

[Common.Params]
; Parameters
; MaxRequests
HKR,Ndi\params\MaxRequests,ParamDesc,,"Maximum General Requests"
HKR,Ndi\params\MaxRequests,type,,int
HKR,Ndi\params\MaxRequests,default,,6
HKR,Ndi\params\MaxRequests,min,,1
HKR,Ndi\params\MaxRequests,max,,10
HKR,Ndi\params\MaxRequests,step,,1
HKR,NDI\params\MaxRequests,flag,1,10,00,00,00
; MaxTransmits
HKR,Ndi\params\MaxTransmits,ParamDesc,,"Maximum Transmits"
HKR,Ndi\params\MaxTransmits,type,,int
HKR,Ndi\params\MaxTransmits,default,,6
HKR,Ndi\params\MaxTransmits,min,,1
HKR,Ndi\params\MaxTransmits,max,,400
HKR,Ndi\params\MaxTransmits,step,,1
HKR,NDI\params\MaxTransmits,flag,1,10,00,00,00
; ReceiveBufSize
HKR,Ndi\params\ReceiveBufSize,ParamDesc,,"Receive Buffer Size"
HKR,Ndi\params\ReceiveBufSize,type,,int
HKR,Ndi\params\ReceiveBufSize,default,,600
HKR,Ndi\params\ReceiveBufSize,min,,256
HKR,Ndi\params\ReceiveBufSize,max,,1514
HKR,Ndi\params\ReceiveBufSize,step,,1
HKR,NDI\params\ReceiveBufSize,flag,1,10,00,00,00
; MaxMulticast
HKR,Ndi\params\MaxMulticast,ParamDesc,,"Max Multicast Addresses"
HKR,Ndi\params\MaxMulticast,type,,int
HKR,Ndi\params\MaxMulticast,default,,16
HKR,Ndi\params\MaxMulticast,min,,1
HKR,Ndi\params\MaxMulticast,max,,255
HKR,Ndi\params\MaxMulticast,step,,1
HKR,NDI\params\MaxMulticast,flag,1,10,00,00,00
; ReceiveBuffers
HKR,Ndi\params\ReceiveBuffers,ParamDesc,,"Receive Buffers"
HKR,Ndi\params\ReceiveBuffers,type,,int
HKR,Ndi\params\ReceiveBuffers,default,,64
HKR,Ndi\params\ReceiveBuffers,min,,16
HKR,Ndi\params\ReceiveBuffers,max,,512
HKR,Ndi\params\ReceiveBuffers,step,,1
HKR,NDI\params\ReceiveBuffers,flag,1,10,00,00,00
; ReceiveMethod
HKR,NDI\params\ReceiveMethod,ParamDesc,,"Receive Method"
HKR,NDI\params\ReceiveMethod,default,,"ReceiveLookahead"
HKR,NDI\params\ReceiveMethod,type,,enum
HKR,NDI\params\ReceiveMethod\enum,"ReceiveLookahead",,"ReceiveLookahead"
HKR,NDI\params\ReceiveMethod\enum,"ReceiveChain,AdapterBuffered",,"ReceiveChain,AdapterBuffered"
HKR,NDI\params\ReceiveMethod\enum,"ReceiveChain,HostBuffered",,"ReceiveChain,HostBuffered"
HKR,NDI\params\ReceiveMethod,flag,1,10,00,00,00

[UBNEIPC.ndi.reg]
; Parameters
;AdapterType
HKR,,AdapterType,,"NIUpc"
HKR,Ndi\params\AdapterType,ParamDesc,,"Adapter Type"
HKR,Ndi\params\AdapterType,default,,"NIUpc"
HKR,Ndi\params\AdapterType,type,,enum
HKR,Ndi\params\AdapterType\enum,"NIUpc",,"NIUpc"
HKR,NDI\params\AdapterType,flag,1,30,00,00,00

[UBNEIPS.ndi.reg]
;AdapterType
HKR,,AdapterType,,"NIUps"
HKR,Ndi\params\AdapterType,ParamDesc,,"Adapter Type"
HKR,Ndi\params\AdapterType,default,,"NIUPs"
HKR,Ndi\params\AdapterType,type,,enum
HKR,Ndi\params\AdapterType\enum,"NIUPs",,"NIUPs"
HKR,NDI\params\AdapterType,flag,1,30,00,00,00

[Slot]
;Slot Number
HKR,Ndi\params\slotnumber,ParamDesc,,"Adapter Slot Number"
HKR,Ndi\params\slotnumber,type,,int
HKR,Ndi\params\slotnumber,default,,1
HKR,Ndi\params\slotnumber,min,,1
HKR,Ndi\params\slotnumber,max,,8
HKR,Ndi\params\slotnumber,step,,1
HKR,Ndi\params\slotnumber,optional,,1
HKR,NDI\params\slotnumber,flag,1,30,00,00,00

;$$$
;***********************************************************************
; General Ethernet Frame-Type params
;***********************************************************************
[ODI.Common.CFG.reg]
; First Logical Board
HKR,Ndi\params\Frame1,ParamDesc,,"1. Frame Type"
HKR,Ndi\params\Frame1,default,,1
HKR,Ndi\params\Frame1,type,,enum
HKR,Ndi\params\Frame1,optional,,0
HKR,Ndi\params\Frame1\enum,1,,"Ethernet_802.2"
HKR,Ndi\params\Frame1\enum,2,,"Ethernet_SNAP"
HKR,Ndi\params\Frame1\enum,3,,"Ethernet_II"
HKR,Ndi\params\Frame1\enum,4,,"Ethernet_802.3"

; Second Logical Board
HKR,Ndi\params\Frame2,ParamDesc,,"2. Frame Type"
HKR,Ndi\params\Frame2,default,,2
HKR,Ndi\params\Frame2,type,,enum
HKR,Ndi\params\Frame2,optional,,0
HKR,Ndi\params\Frame2\enum,1,,"Ethernet_802.2"
HKR,Ndi\params\Frame2\enum,2,,"Ethernet_SNAP"
HKR,Ndi\params\Frame2\enum,3,,"Ethernet_II"
HKR,Ndi\params\Frame2\enum,4,,"Ethernet_802.3"
HKR,Ndi\params\Frame2\enum,5,,"Not used"

; Third Logical Board
HKR,Ndi\params\Frame3,ParamDesc,,"3. Frame Type"
HKR,Ndi\params\Frame3,default,,3
HKR,Ndi\params\Frame3,type,,enum
HKR,Ndi\params\Frame3,optional,,0
HKR,Ndi\params\Frame3\enum,1,,"Ethernet_802.2"
HKR,Ndi\params\Frame3\enum,2,,"Ethernet_SNAP"
HKR,Ndi\params\Frame3\enum,3,,"Ethernet_II"
HKR,Ndi\params\Frame3\enum,4,,"Ethernet_802.3"
HKR,Ndi\params\Frame3\enum,5,,"Not used"

; Fourth Logical Board
HKR,Ndi\params\Frame4,ParamDesc,,"4. Frame Type"
HKR,Ndi\params\Frame4,default,,4
HKR,Ndi\params\Frame4,type,,enum
HKR,Ndi\params\Frame4,optional,,0
HKR,Ndi\params\Frame4\enum,1,,"Ethernet_802.2"
HKR,Ndi\params\Frame4\enum,2,,"Ethernet_SNAP"
HKR,Ndi\params\Frame4\enum,3,,"Ethernet_II"
HKR,Ndi\params\Frame4\enum,4,,"Ethernet_802.3"
HKR,Ndi\params\Frame4\enum,5,,"Not used"

; Node Address Override
HKR,Ndi\params\"Node Address",ParamDesc,,"Node Address Override"
HKR,Ndi\params\"Node Address",type,,edit
HKR,Ndi\params\"Node Address",LimitText,,18
HKR,Ndi\params\"Node Address",UpperCase,,1
HKR,Ndi\params\"Node Address",default,,""
HKR,Ndi\params\"Node Address",flag,1,20,00,00,00
HKR,Ndi\params\"Node Address",optional,,1

; Help section
HKR,Ndi,HelpText,,%ODIMLID_HELP%


;***********************************************************************
;*    Resource Section                                                 *
;***********************************************************************
[Common.Resources]
; Resources
HKR,,IRQ,1,04,00,00,00
HKR,,Port,1,02,00,00,00
HKR,,MEM,1,01,00,00,00
HKR,Ndi\params\MEM,resc,1,01,00,00,00
HKR,Ndi\params\MEM,ParamDesc,,"Memory Base Address"
HKR,NDI\params\MEM,flag,1,30,00,00,00
HKR,Ndi\params\Port,resc,1,02,00,00,00
HKR,Ndi\params\Port,ParamDesc,,"I/O Base Address"
HKR,NDI\params\Port,flag,1,30,00,00,00
HKR,Ndi\params\IRQ,resc,1,04,00,00,00
HKR,Ndi\params\IRQ,ParamDesc,,"Interrupt Level"
HKR,NDI\params\IRQ,flag,1,70,00,00,00



;***********************************************************************
;*   Copy file sections                                                *
;***********************************************************************
; Install ODI 16
;***********************************************************************

;***********************************************************************
;  NIUPC adapter
;[NIUPC.ODI16.CopyFiles]
;UBPCETPDOS.com,,,5
;lsl.com,,,5
;N16ODI.COM,,,5
;nesl.com,,,5
;;LSL.msg,,,5
;;NESL.msg,,,5

;  NIUPS adapter
;[NIUPS.ODI16.CopyFiles]
;UBPSETPDOS.com,,,5
;lsl.com,,,5
;N16ODI.COM,,,5
;nesl.com,,,5
;;LSL.msg,,,5
;;NESL.msg,,,5

;***********************************************************************
; Install ODI 32
;***********************************************************************

;***********************************************************************
;  NIUPC adapter
[NIUPC.ODI32.CopyFiles]
UBPCETP.lan,,,5

;  NIUPS adapter
[NIUPS.ODI32.CopyFiles]
UBPSETP.lan,,,5

;***********************************************************************
;*   Source Disk Names & Source Disk Files                             *
;***********************************************************************
[SourceDisksNames]
42=%DSK_NOVELL4%,"",0004
42=%DSK_NOVELL4a%,"",0004

[SourceDisksFiles]
UBPCETP.lan  =42
;UBPCETPDOS.com  =42

UBPSETP.lan  =42
;UBPSETPDOS.com  =42

nesl.com       =42
N16ODI.COM     =42
lsl.com        =42
;NESL.msg       =42
;LSL.msg        =42

;***********************************************************************
;*   Destination Directories                                           *
;***********************************************************************
[DestinationDirs]
DefaultDestDir           =11 ; LDID_SYS
;NIUPC.ODI16.CopyFiles     =24,novell\nwclient
NIUPC.ODI32.CopyFiles     =24,novell\client32

;NIUPS.ODI16.CopyFiles     =24,novell\nwclient
NIUPS.ODI32.CopyFiles     =24,novell\client32

;***********************************************************************
;*   Localizable Strings                                               *
;***********************************************************************
[strings]
; Provider
V_N=" Novell"
; Manufacturers
V_UB="Ungermann-Bass"

; Driver Paths 
DRIVER_16_PATH="novell\nwclient\"
DRIVER_32_PATH="novell\client32\"

; Driver Disk names
DSK_NOVELL4=             "Novell NetWare Client-32 LAN driver disk"
DSK_NOVELL4a=            "Novell NetWare Client-32 LAN driver disk."

; Context help
ODIMLID_HELP="The Novell ODI driver enables you to use either 16-Bit or 32-Bit networking components."

; PNP Devices
*pnp8120.DeviceDesc="UB NIUpc/EOTP"
MCA_7012.DeviceDesc="UB NIUps or NIUps/EOTP"
*pnp811c.DeviceDesc="UB NIUpc"
MCA_EFF5.DeviceDesc="UB NIC/ps"

